// DESCRIPTION: BlockInfo related models & functions
define(["require", "exports", "../attributes/index"], function (require, exports, index_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function default_1(raw) {
        var language;
        var attributesAsString;
        var attributes;
        var trimmedParams = raw.trim();
        var match = trimmedParams.indexOf("{") !== -1
            ? trimmedParams.match(/^([^\s\{]*)\s*\{(.*?)\}/)
            : trimmedParams.match(/^([^\s]+)\s+(.+?)$/);
        if (match) {
            if (match[1].length) {
                language = match[1];
            }
            attributesAsString = match[2];
        }
        else {
            language = trimmedParams;
            attributesAsString = "";
        }
        if (attributesAsString) {
            try {
                attributes = index_1.parseAttributes(attributesAsString);
            }
            catch (e) {
                //
            }
        }
        else {
            attributes = {};
        }
        return { language: language, attributes: attributes };
    }
    exports.default = default_1;
});
//# sourceMappingURL=parse.js.map