var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
define(["require", "exports", "codemirror", "../addon/fold-code", "../addon/fold"], function (require, exports, CodeMirror, fold_code_1, fold_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    CodeMirror = __importStar(CodeMirror);
    exports.WaveDromRenderer = function (code, info) {
        var targetClass = info.changed
            ? "vickeymd-wavedrom-editor"
            : "vickymd-wavedrom-preview";
        var seq = document.getElementsByClassName(targetClass).length; // Math.round(1e9 * Math.random()) + Date.now();
        var id = targetClass + seq;
        var el = document.createElement("div");
        el.id = id;
        el.classList.add(targetClass);
        el.style.margin = "8px";
        var json = {};
        try {
            json = JSON.parse(code);
        }
        catch (error) {
            el.innerText = error.toString();
            return el;
        }
        try {
            document.body.append(el); // HACK: Have to append to body first
            el.textContent = code;
            window["WaveDrom"].RenderWaveForm(seq, json, targetClass);
        }
        catch (error) {
            el.innerText = "Failed to eval WaveDrom code. " + error;
            console.log(error);
        }
        return el;
    };
    if (window["WaveDrom"]) {
        CodeMirror.defineOption("plantuml", null, function (cm) {
            fold_code_1.getAddon(cm).clear("plantuml");
            fold_1.getAddon(cm).startFold();
        });
        fold_code_1.registerRenderer({
            name: "wavedrom",
            pattern: /^wavedrom$/i,
            renderer: exports.WaveDromRenderer,
            suggested: true
        });
        console.log("[HyperMD] PowerPack fold-code-with-wavedrom loaded.");
    }
    else {
        console.log("[HyperMD] PowerPack fold-code-with-wavedrom failed to load.\nPlease include  \n\n  <script src=\"https://cdnjs.cloudflare.com/ajax/libs/wavedrom/2.1.2/skins/default.js\" type=\"text/javascript\"></script>\n  <script src=\"https://cdnjs.cloudflare.com/ajax/libs/wavedrom/2.1.2/wavedrom.min.js\" type=\"text/javascript\"></script>\n\nin your HTML file");
    }
});
/*
Example:

```wavedrom
{"signal":[{"name":"clk","wave":"p...."},{"name":"Data","wave":"x345x","data":["head","body","tail"]},{"name":"Request","wave":"01..0"}],"config":{"hscale":1}}
```

*/
//# sourceMappingURL=fold-code-with-wavedrom.js.map