// Modified from github.com/shd101wyy/mume
define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function uslug(str) {
        return str.replace(/[\s!@#$%^&*()-=_+~`[\]{}\\<>?\/]+/g, "-");
    }
    var HeadingIdGenerator = /** @class */ (function () {
        function HeadingIdGenerator() {
            this.table = {};
        }
        HeadingIdGenerator.prototype.generateId = function (heading) {
            heading = heading.replace(/。/g, ""); // sanitize
            var slug = uslug(heading);
            if (this.table[slug] >= 0) {
                this.table[slug] = this.table[slug] + 1;
                slug += "-" + this.table[slug];
            }
            else {
                this.table[slug] = 0;
            }
            return slug;
        };
        return HeadingIdGenerator;
    }());
    exports.default = HeadingIdGenerator;
});
//# sourceMappingURL=heading-id-generator.js.map