define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var widgetMap = {};
    /**
     *
     * @param name Name of the widget
     * @param creator Creator function
     */
    function registerWidgetCreator(name, creator) {
        if (name in widgetMap) {
            throw new Error("Widget with name " + name + " is already registered");
        }
        widgetMap[name] = creator;
    }
    exports.registerWidgetCreator = registerWidgetCreator;
    /**
     *
     * @param name Name of the widget
     */
    function getWidgetCreator(name) {
        return widgetMap[name];
    }
    exports.getWidgetCreator = getWidgetCreator;
});
//# sourceMappingURL=index.js.map